Subject: Re: [PATCH -next 1/2] ring-buffer: Really make it generic.

From: Ingo Molnar <[email-masked]>
Date: Thu, 25 Jun 2009 10:32:32 +0200

* Jon Masters <[email-masked]> wrote:

> On Thu, 2009-06-25 at 14:30 +0900, Paul Mundt wrote:
> > In hunting down the cause for the hwlat_detector ring buffer spew in
> > my failed -next builds it became obvious that folks are now treating
> > ring_buffer as something that is generic independent of tracing and thus,
> > suitable for public driver consumption.
> > 
> > Given that there are only a few minor areas in ring_buffer that 
> > have any reliance on CONFIG_TRACING or CONFIG_FUNCTION_TRACER, 
> > provide stubs for those and make it generally available.
> 
> Thanks for this. I had discussed it with Steven previously and I 
> can't imagine why he wouldn't be in favor of wider use - I 
> suggested that it's about time ring_buffer moved out of trace/ and 
> got it's own place (it's getting to be a big boy now, full of 
> youthful aspiration) but we'll have to wait for him to get back 
> from his trip and let us know what he wants.

The patch makes sense - i've queued it up in tip:tracing/urgent - 
the sooner we have it upstream the better.

	Ingo